%define rname compositing-wm
%define imgname mandriva-top 
%define name %{rname}-common
%define version 2007
%define release %mkrel 10

%define xinit_level 40
%define xinit_name %{xinit_level}%{rname}

Name: %name
Version: %version
Release: %release
Summary: Common tools for compositing window managers
Group: System/X11
URL: http://www.mandriva.com
Source0: %{rname}.xinit
Source1: %{rname}.sysconfig
Source2: %{rname}-start
Source3: %{imgname}.png
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
Requires: mesa-demos

%description
This package contains tools for compositing window managers, such as
compiz and beryl. This includes X session scripts, configuration files
and images.

%prep
%setup -q -c -T

%install
rm -rf %{buildroot}
install -D -m 0755 %SOURCE0 %{buildroot}%{_sysconfdir}/X11/xinit.d/%{xinit_name}
install -D -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/sysconfig/%{rname}
install -D -m 0755 %SOURCE2 %{buildroot}%{_bindir}/%{rname}-start
install -D -m 0644 %SOURCE3 %{buildroot}%{_datadir}/%{rname}/%{imgname}.png
perl -pi -e "s!__LIBDIR__!%{_libdir}!" %{buildroot}%{_bindir}/%{rname}-start

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/X11/xinit.d/%{xinit_name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{rname}
%{_bindir}/%{rname}-start
%dir %{_datadir}/%{rname}
%{_datadir}/%{rname}/%{imgname}.png


%changelog
* Fri Dec 15 2006 Olivier Blin <oblin@mandriva.com> 2007-10mdv2007.1
+ Revision: 97390
- use SESSION variable instead of DESKTOP in xinit script (#25429)

* Thu Dec 14 2006 Olivier Blin <oblin@mandriva.com> 2007-9mdv2007.1
+ Revision: 97095
- update again comments in sysconfig file

* Thu Dec 14 2006 Olivier Blin <oblin@mandriva.com> 2007-8mdv2007.1
+ Revision: 96753
- rename COMPOSITING_SERVER_LATE_INIT as COMPOSITING_SERVER_SPAWNS_WINDOW (and add some doc)
- revert minor sysconfig comment

* Wed Dec 13 2006 Olivier Blin <oblin@mandriva.com> 2007-7mdv2007.1
+ Revision: 96575
- update sysconfig comments

* Wed Dec 13 2006 Olivier Blin <oblin@mandriva.com> 2007-6mdv2007.1
+ Revision: 96557
- use original X display if COMPOSITING_SERVER_LATE_INIT is "yes" (this is not for 3D desktops)
- do not run window decorator if not specified
- factorize xinit level and name in spec

* Wed Nov 15 2006 Olivier Blin <oblin@mandriva.com> 2007-5mdv2007.1
+ Revision: 84225
- bump release
- read window manager defaults if present

* Sat Nov 04 2006 Olivier Blin <oblin@mandriva.com> 2007-4mdv2007.1
+ Revision: 76586
- don't use default wm arguments

* Sun Oct 15 2006 Olivier Blin <oblin@mandriva.com> 2007-3mdv2007.1
+ Revision: 65402
- remove the noarch buildarch, some scripts are arch-dependent

* Sat Oct 14 2006 Olivier Blin <oblin@mandriva.com> 2007-2mdv2006.0
+ Revision: 65115
- default to gtk-window-decorator

* Fri Sep 29 2006 Colin Guthrie <cguthrie@mandriva.org> 2007-1mdv2006.0
+ Revision: 62774
- Fix typo in default config

  + Olivier Blin <oblin@mandriva.com>
    - move common compositing wm scripts/images in compositing-wm-common (configuration file is not backward compatible)
    - Created package structure for compositing-wm-common.

